<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" version="4.01" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
	<xsl:template match="/">
		
		<html>
		<head>
		<meta name="description" content="Report generated by Flip Side Racing Software www.flipsideracing.org" />
		<style type="text/css">
		p {
		  background-color: white;
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  font-weight: normal;
		  padding-left: 1em;
		  padding-right: 1em;
		}
		td {
		  background-color: white;
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  font-weight: normal;
		  padding-left: 1em;
		  padding-right: 1em;
		}
		.gtd td {
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  padding-left: 1em;
		  padding-right: 1em;
		  background-color: #cccccc;
		  font-weight: normal;
		}
		.htd td {
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  font-weight: bold;
		  padding-left: 1em;
		  padding-right: 1em;
		  background-color: #ffcc66;
		}
		.ttd td {
		  background-color: white;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 14px;
		  font-weight: bold;
		  letter-spacing: 2px;
		  padding-left: 1em;
		  padding-right: 1em;
		  color: red;
		}
		.ttdb td {
		  background-color: white;
		  color: #2279a4;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 16px;
		  font-weight: bold;
		  letter-spacing: 2px;
		  padding-left: 1em;
		  padding-right: 1em;
		}
		
		</style>
		<title><xsl:value-of select="racers/translations/racer_inventory"/></title>
		</head>
		<body>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tbody>
		<tr>
			<td colspan="7" align="center">
				<img src="{racers/club/image/@URI}" alt="Club logo"/>
			</td>
		</tr>
		<tr>
			<td colspan="7" align="center"><font color="red"><xsl:value-of select="racers/club/name"/></font>
			</td>
		</tr>
		
		<tr bgcolor="#ffcc66">
			<th align="left"><xsl:value-of select="racers/translations/name"/></th>
			<th align="left"><xsl:value-of select="racers/translations/crystal"/></th>
			<th align="left"><xsl:value-of select="racers/translations/class"/></th>
			<th align="left"><xsl:value-of select="racers/translations/chassis"/></th>
			<th align="left"><xsl:value-of select="racers/translations/make"/></th>
			<th align="left"><xsl:value-of select="racers/translations/model"/></th>
			<th align="left"><xsl:value-of select="racers/translations/motor"/></th>
			<th align="left"><xsl:value-of select="racers/translations/uid"/></th>
		</tr>
		<xsl:for-each select="racers/inventory/racer">
		<xsl:choose>
			<xsl:when test="position() mod 2 = 0">
			<tr class="gtd">
				<td><xsl:value-of select="name"/></td>
				<td><xsl:value-of select="crystal"/></td>
				<td><xsl:value-of select="class"/></td>
				<td><xsl:value-of select="chassis"/></td>
				<td><xsl:value-of select="make"/></td>
				<td><xsl:value-of select="model"/></td>
				<td><xsl:value-of select="motor"/></td>
				<td><xsl:value-of select="uid"/></td>
			</tr>	
			</xsl:when>
			<xsl:otherwise>
			<tr>
				<td><xsl:value-of select="name"/></td>
				<td><xsl:value-of select="crystal"/></td>
				<td><xsl:value-of select="class"/></td>
				<td><xsl:value-of select="chassis"/></td>
				<td><xsl:value-of select="make"/></td>
				<td><xsl:value-of select="model"/></td>
				<td><xsl:value-of select="motor"/></td>
				<td><xsl:value-of select="uid"/></td>
			</tr>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
		</tbody>
		</table>
		<br/>
		
		</body>
		</html>

	</xsl:template>

</xsl:stylesheet>
